package com.arms.api.search_engine.service;

import com.arms.api.util.model.dto.request.검색어_검색_집계_하위_요청;
import com.arms.egovframework.javaservice.esframework.esquery.EsQuery;
import com.arms.egovframework.javaservice.esframework.esquery.EsQueryBuilder;
import com.arms.egovframework.javaservice.esframework.esquery.filter.QueryStringFilter;
import com.arms.egovframework.javaservice.esframework.esquery.filter.RangeQueryFilter;
import com.arms.egovframework.javaservice.esframework.factory.creator.중첩_집계_쿼리_생성기;
import com.arms.egovframework.javaservice.esframework.model.vo.버킷_집계_결과_목록_합계;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.test.context.ActiveProfiles;

import static org.junit.jupiter.api.Assertions.*;
import com.arms.api.issue.almapi.repository.지라이슈_저장소;

@ActiveProfiles("dev")
@SpringBootTest
class AlmIssueSearchImplTest {


    @Autowired
    private  지라이슈_저장소 지라이슈_저장소;

    @Test
    public void test(){
        검색어_검색_집계_하위_요청 aggrRequest = new 검색어_검색_집계_하위_요청();

        aggrRequest.set페이지(0);
        aggrRequest.set크기(5);
        aggrRequest.set메인_그룹_필드("project.project_name.keyword");

        EsQuery esQuery = new EsQueryBuilder()
                .bool(
                        new QueryStringFilter("searchTerm"),
                        RangeQueryFilter.of("@timestamp").betweenDate(null, null)
                );

//        DocumentAggregations documentAggregations = 지라이슈_저장소.aggregateDocs(포괄V2(aggrRequest, esQuery).생성(), null);
        버킷_집계_결과_목록_합계 버킷_집계_결과_목록_합계 = 지라이슈_저장소.aggregateRecentDocs(중첩_집계_쿼리_생성기.포괄(aggrRequest, esQuery).생성());
        System.out.println(버킷_집계_결과_목록_합계);

        return;
    }
}